Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.contexts
Class ContextEvent

    java.lang.Object
      org.eclipse.ui.contexts.ContextEvent

public final class ContextEvent
extends Object

An instance of this class describes changes to an instance of `IContext`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IContextListener.contextChanged(ContextEvent)`

Constructor Summary
`ContextEvent(IContext context, boolean definedChanged, boolean enabledChanged, boolean nameChanged, boolean parentIdChanged)` Creates a new instance of this class.

Method Summary
`IContext` | `getContext()` Returns the instance of the interface that changed.
`boolean` | `hasDefinedChanged()` Returns whether or not the defined property changed.
`boolean` | `hasEnabledChanged()` Returns whether or not the enabled property changed.
`boolean` | `hasNameChanged()` Returns whether or not the name property changed.
`boolean` | `hasParentIdChanged()` Returns whether or not the parentId property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextEvent

    public ContextEvent(IContext context,
                        boolean definedChanged,
                        boolean enabledChanged,
                        boolean nameChanged,
                        boolean parentIdChanged)

  Creates a new instance of this class.

Parameters:
  `context` - the instance of the interface that changed.
  `definedChanged` - true, iff the defined property changed.
  `enabledChanged` - true, iff the enabled property changed.
  `nameChanged` - true, iff the name property changed.
  `parentIdChanged` - true, iff the parentId property changed.

Method Detail

### getContext

    public IContext getContext()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### hasDefinedChanged

    public boolean hasDefinedChanged()

  Returns whether or not the defined property changed.

  Returns:
    true, iff the defined property changed.

### hasEnabledChanged

    public boolean hasEnabledChanged()

  Returns whether or not the enabled property changed.

  Returns:
    true, iff the enabled property changed.

### hasNameChanged

    public boolean hasNameChanged()

  Returns whether or not the name property changed.

  Returns:
    true, iff the name property changed.

### hasParentIdChanged

    public boolean hasParentIdChanged()

  Returns whether or not the parentId property changed.

  Returns:
    true, iff the parentId property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.